Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(340)

Issue 1345343003: Remove lots of old blur plumbing. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years ago by esprehn
Modified:
1 year, 11 months ago
CC:
chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove lots of old blur plumbing. window.blur() was actually made a no-op in 2012: https://chromium.googlesource.com/chromium/blink/+/21a68ec34dd297e3e3a468084528ec6dc95e3246 so all the IPC and machinery to make it work is now dead code. The RenderViewHost::Blur() method might be dead now too, but it's also used by a guest view test. Committed: https://crrev.com/3b52016604c15c73cc243fe208136c40f3f4be2b Cr-Commit-Position: refs/heads/master@{#354667}

Patch Set 1 #

Patch Set 2 : Remove more plumbing. #

Patch Set 3 : rebase. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -84 lines) Patch
M chrome/browser/ui/browser.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M chrome/browser/ui/browser.cc View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M chrome/browser/ui/panels/panel_host.h View 1 chunk +0 lines, -1 line 0 comments Download
M chrome/browser/ui/panels/panel_host.cc View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M chromecast/browser/android/cast_window_android.h View 1 chunk +0 lines, -1 line 0 comments Download
M chromecast/browser/android/cast_window_android.cc View 1 2 1 chunk +0 lines, -5 lines 0 comments Download
M components/guest_view/browser/guest_view_base.h View 1 chunk +0 lines, -1 line 0 comments Download
M components/guest_view/browser/guest_view_base.cc View 1 chunk +0 lines, -8 lines 0 comments Download
M components/test_runner/web_test_proxy.h View 1 2 2 chunks +0 lines, -5 lines 0 comments Download
M components/test_runner/web_test_proxy.cc View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M components/web_contents_delegate_android/web_contents_delegate_android.h View 1 chunk +0 lines, -1 line 0 comments Download
M components/web_contents_delegate_android/web_contents_delegate_android.cc View 1 chunk +0 lines, -5 lines 0 comments Download
M content/browser/renderer_host/render_view_host_delegate.h View 1 2 1 chunk +2 lines, -3 lines 0 comments Download
M content/browser/renderer_host/render_view_host_impl.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M content/browser/renderer_host/render_view_host_impl.cc View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_impl.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M content/browser/renderer_host/render_widget_host_impl.cc View 1 2 2 chunks +0 lines, -6 lines 0 comments Download
M content/browser/web_contents/web_contents_impl.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M content/browser/web_contents/web_contents_impl.cc View 1 2 1 chunk +0 lines, -5 lines 0 comments Download
M content/common/view_messages.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M content/public/browser/web_contents_delegate.h View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M content/renderer/render_view_impl.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M content/renderer/render_view_impl.cc View 1 2 1 chunk +0 lines, -8 lines 0 comments Download
M content/renderer/render_widget.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M content/renderer/render_widget.cc View 1 2 1 chunk +0 lines, -3 lines 0 comments Download
M content/shell/browser/shell.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M content/shell/browser/shell.cc View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 43 (18 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1345343003/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1345343003/1
2 years ago (2015-09-16 22:06:20 UTC) #2
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: mac_chromium_compile_dbg_ng on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_compile_dbg_ng/builds/98840) mac_chromium_rel_ng on ...
2 years ago (2015-09-16 22:18:34 UTC) #4
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1345343003/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1345343003/20001
2 years ago (2015-09-17 00:06:45 UTC) #6
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
2 years ago (2015-09-17 01:56:12 UTC) #8
esprehn
2 years ago (2015-09-17 06:36:33 UTC) #10
jochen (gone - plz use gerrit)
lgtm
2 years ago (2015-09-17 06:50:01 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1345343003/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1345343003/20001
2 years ago (2015-09-17 06:57:40 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/100881)
2 years ago (2015-09-17 07:07:23 UTC) #15
esprehn
jochen@ Why wasn't your LGTM enough for content/common if you're in content/OWNERS ?
2 years ago (2015-09-17 07:11:28 UTC) #17
jam
On 2015/09/17 07:11:28, esprehn wrote: > jochen@ Why wasn't your LGTM enough for content/common if ...
2 years ago (2015-09-17 14:43:54 UTC) #19
Fady Samuel
guest_view lgtm
2 years ago (2015-09-17 14:46:02 UTC) #20
esprehn
dcheng@ for IPC review.
2 years ago (2015-09-17 17:42:20 UTC) #22
dcheng
lgtm
2 years ago (2015-09-17 17:43:41 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1345343003/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1345343003/20001
2 years ago (2015-09-17 17:45:15 UTC) #25
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/101059)
2 years ago (2015-09-17 17:56:41 UTC) #27
esprehn
Ping gunsch@ for chromecast/
2 years ago (2015-09-17 17:59:29 UTC) #28
esprehn
Ping gunsch@ for chromecast/
2 years ago (2015-09-17 17:59:31 UTC) #29
jam
On 2015/09/17 17:59:31, esprehn wrote: > Ping gunsch@ for chromecast/ lgtm
1 year, 12 months ago (2015-09-22 21:59:48 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1345343003/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1345343003/20001
1 year, 12 months ago (2015-09-22 22:01:13 UTC) #32
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_android_rel_ng/builds/72279)
1 year, 12 months ago (2015-09-23 03:00:12 UTC) #34
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1345343003/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1345343003/20001
1 year, 12 months ago (2015-09-26 05:32:12 UTC) #36
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_compile_dbg_ng on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_compile_dbg_ng/builds/102843) mac_chromium_gn_rel on tryserver.chromium.mac (JOB_FAILED, ...
1 year, 12 months ago (2015-09-26 05:33:40 UTC) #38
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1345343003/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1345343003/40001
1 year, 11 months ago (2015-10-17 01:55:05 UTC) #41
commit-bot: I haz the power
Committed patchset #3 (id:40001)
1 year, 11 months ago (2015-10-17 03:11:03 UTC) #42
commit-bot: I haz the power
1 year, 11 months ago (2015-10-17 03:11:54 UTC) #43
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/3b52016604c15c73cc243fe208136c40f3f4be2b
Cr-Commit-Position: refs/heads/master@{#354667}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b